- Qt 6.6
- Qt Graphs
- QML Types
- QtGraphs (Technical Preview)
- AbstractDataProxy
- Qt Graphs | Commercial or GPLv3

# AbstractDataProxy QML Type

Base type for all QtGraphs data proxies. More...

Import Statement: | import QtGraphs 6.6
Instantiates: | QAbstractDataProxy
Inherited By: | BarDataProxy, ScatterDataProxy, and SurfaceDataProxy
Status: | Technical Preview

- List of all members, including inherited members

## Properties

- type : AbstractDataProxy.DataType

## Detailed Description

This type is uncreatable, but contains properties that are exposed via the following subtypes: BarDataProxy, ScatterDataProxy, SurfaceDataProxy.

For more information, see Qt Graphs Data Handling.

## Property Documentation

[read-only] type : AbstractDataProxy.DataType

The type of the proxy. One of the QAbstractDataProxy::DataType values.